package com.hzya.frame.mdm.entity;

import com.hzya.frame.mdm.mdmModuleDbFiledsRule.entity.MdmModuleDbFiledsRuleEntity;
import com.hzya.frame.web.entity.BaseEntity;

import java.util.List;

public class DbFiledsDto   {

    /**
     * 1新增 2、修改
     */
    private String dataType;

    /**
     * 中文名
     */
    private String chName;
    /**
     * 英文名
     */
    private String enName;
    /**
     * 字段类型 1、BIGINT 2、DECIMAL 3、VARCHAR 4、DATETIME
     */
    private String filedType;
    /**
     * 长度
     */
    private String filedLength;

    public DbFiledsDto() {
    }

    public DbFiledsDto(String dataType,String chName, String enName, String filedType, String filedLength) {
        this.dataType = dataType;
        this.chName = chName;
        this.enName = enName;
        this.filedType = filedType;
        this.filedLength = filedLength;
    }

    public String getChName() {
        return chName;
    }

    public void setChName(String chName) {
        this.chName = chName;
    }

    public String getEnName() {
        return enName;
    }

    public void setEnName(String enName) {
        this.enName = enName;
    }

    public String getFiledType() {
        return filedType;
    }

    public void setFiledType(String filedType) {
        this.filedType = filedType;
    }

    public String getFiledLength() {
        return filedLength;
    }

    public void setFiledLength(String filedLength) {
        this.filedLength = filedLength;
    }

    public String getDataType() {
        return dataType;
    }

    public void setDataType(String dataType) {
        this.dataType = dataType;
    }
}

